<div class="container">
  <div class="row d-flex justify-content-center align-items-center">
    <img src="../../assets/img/logov3.png" class="m-3" />
  </div>

  <div class="row">
    <h1>{{activeUser.lastName.toUpperCase()}} {{activeUser.firstName}}</h1>
    <h4>ADRESSE : {{activeUser.adresse}}</h4>
    <h4>IDENTIFIANT: {{activeUser.username}}</h4>
  </div>
  <hr />
  <div class="row">
    <h3 class="mt-5 ">Récapitulatif des commandes :</h3>
    <div class="accordion accordion-flush mt-3 mb-5" id="accordionFlushExample">
      <div *ngFor="let order of activeUserOrders" class="accordion-item">
        <h2 class="accordion-header" id="flush-headingOne">
          <button
            class="accordion-button collapsed"
            type="button"
            data-bs-toggle="collapse"
            [attr.data-bs-target]="'#test'+ order.id"
            aria-expanded="false"
            aria-controls="flush-collapseOne"
          >
            Votre commande n° {{order.id}} du {{order.date}} d'un montant total
            de :
            <span class="fw-bold">&nbsp; {{order.totalPrice}} €</span>
          </button>
        </h2>
        <div
          [id]="'test'+order.id"
          class="accordion-collapse collapse"
          aria-labelledby="flush-headingOne"
          data-bs-parent="#accordionFlushExample"
        >
          <div class="accordion-body">
            <table class=" table table-sm table-hover col-12">
              <thead>
                <tr>
                  <th class="text-center" colspan="2" scope="col">PLANTE</th>
                  <th class="text-center" scope="col">PRIX UNITAIRE</th>
                  <th class="text-center" scope="col">QUANTITÉ</th>
                  <th class="text-center" scope="col">SOUS-TOTAL</th>
                  <th class="text-center" scope="col"></th>
                </tr>
              </thead>
              <tbody>
                <tr
                  *ngFor="let orderLine of order.orderLines"
                  class="d-table-row "
                >
                  <td class="w-25 text-center align-middle">
                    <img
                      class="w-50"
                      src="{{'../../assets/img/' + orderLine.plante.url}}"
                      alt=""
                    />
                  </td>

                  <td class="text-left align-middle">
                    {{orderLine.plante.commonName}}
                  </td>

                  <td class="text-center align-middle">
                    {{orderLine.plante.price}} €
                  </td>
                  <td class="text-center align-middle">
                    {{orderLine.quantity}}
                  </td>
                  <td class="text-center align-middle">
                    {{orderLine.linePrice}} €
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
